package com.dgtly.wxportal.controller;

import com.dgtly.common.annotation.ApiPassToken;
import com.dgtly.common.core.domain.AjaxResult;
import com.dgtly.sync.service.HanaOrderComponent;
import io.swagger.annotations.Api;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;


@Api(tags = "經銷商相关接口")
@RestController
@RequestMapping("/free")
@ApiPassToken
@Slf4j
public class FreeCustomerController {




    @Autowired
    private HanaOrderComponent hanaOrderComponent;
    /**
     * 经销商解冻查询接口
     */
    @PostMapping("/addFreeCustomer")
    @ResponseBody
    public AjaxResult addFreeCustomer(String customer) {
        String str = "";
        try {
            str = hanaOrderComponent.getFreezeCustomer(customer);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
        return AjaxResult.self(str);
    }

}